Page MenuHomePhabricator

Deal with Exceptions
Closed, InvalidPublic

Description

We still need to decide how we will handle Exceptions in case of a recheck or changing values -- and, of course, implement it.

  • show exceptions on Special Page Cross-check (not as new violation)
    • sort by status (Violation, Exception, Partial Match, Match)
  • show 'Mark as Exception' on Special Pages Cross-check and Constraint Report [blocked by migration of constraints]
  • show exceptions in API
  • save exceptions of constraints in violation table

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityExternalValidation : masterCheck if cross-check is exception on SP
mediawiki/extensions/WikibaseQuality : masterIntroduced ExceptionLookup

Related Objects

StatusAssignedTask
InvalidTamslo
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
ResolvedLucas_Werkmeister_WMDE
Resolvedhoo
ResolvedLucas_Werkmeister_WMDE

Event Timeline

Tamslo created this task.Jun 19 2015, 3:29 PM
Tamslo raised the priority of this task from to High.
Tamslo updated the task description. (Show Details)
Tamslo moved this task to WBQEV Backlog on the Wikibase-Quality board.
Tamslo added a subscriber: Tamslo.
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 19 2015, 3:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tamslo moved this task from WBQEV Backlog to TODO on the Wikibase-Quality board.Jun 19 2015, 4:00 PM
Tamslo renamed this task from Deal with Exceptions in WBQEV to Deal with Exceptions.Jun 22 2015, 11:43 AM
Tamslo updated the task description. (Show Details)
Tamslo set Security to None.
Tamslo claimed this task.Jun 22 2015, 11:59 AM
Tamslo moved this task from TODO to DOING on the Wikibase-Quality board.
Tamslo updated the task description. (Show Details)Jun 23 2015, 10:15 AM

Change 220321 had a related patch set uploaded (by Tamslo):
[WIP] Introduced ExceptionLookup

https://gerrit.wikimedia.org/r/220321

Change 220322 had a related patch set uploaded (by Tamslo):
[WIP] Check if cross-check is exception on SP

https://gerrit.wikimedia.org/r/220322

Tamslo moved this task from DOING to REVIEW on the Wikibase-Quality board.Jun 29 2015, 4:42 PM
Tamslo moved this task from REVIEW to DOING on the Wikibase-Quality board.
Tamslo updated the task description. (Show Details)
Tamslo moved this task from DOING to TODO on the Wikibase-Quality board.Jul 7 2015, 12:27 PM
Tamslo moved this task from TODO to REVIEW on the Wikibase-Quality board.
Tamslo updated the task description. (Show Details)Jul 7 2015, 12:36 PM
Tamslo closed this task as Invalid.Sep 2 2015, 6:37 AM

Closed as invalid because it depends on the violation table, which we decided to drop.

Change 220321 abandoned by Jeroen De Dauw:
Introduced ExceptionLookup

Reason:
The linked ticket was abandoned was WONTFIX, so presumably this should have been closed as well

https://gerrit.wikimedia.org/r/220321

Change 220322 abandoned by Thiemo Kreuz (WMDE):
Check if cross-check is exception on SP

Reason:
The requirement I4accc45 was abandoned along with the whole v1 branch, which I believe is the original (and still available) source of the code in this patch.

https://gerrit.wikimedia.org/r/220322